# Verify a name or company

This is the Global Name request.
***Note:*** A License Key is required with either Company or FullName for this request.

Endpoint: GET /doGlobalName

## Query parameters:

  - `t` (string)
    This is a string value that serves as a unique identifier for this set of records. It is returned as sent.

  - `id` (string, required)
    Required. The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `opt` (string)
    [Options](https://docs.melissa.com/cloud-api/global-name/global-name-reference-guide.html#options) - Pass in options you want to set for the request. Options are listed in the `OptionName:Parameter` format with multiple options delimited with a `,`.
- `CorrectFirstName:< ON | OFF >` - `ON` will allow first name misspelling corrections. Default is `OFF`, preserve first name spellings; no correction allowed.
- `GenderAggression:< Code or Name >` - Set how aggressively the service will attempt to genderize neutral first names. By default, Global Name will assign a value of “N” when attempting to genderize a first name that can easily be male or female, such as “Taylor,” “Chris,” or “Pat.” Using this property in conjunction with the GenderPopulation option, you can instruct the service on how much preference to give one gender over the other when assigning a gender to a normally neutral name.

  Either the `Code` or `Name` listed below can be used to set the action. For example, `GENDERAGGRESSION:2` and `GENDERAGGRESSION:Neutral` are equivalent.
  - `1` or `Aggressive` - Aggressive name genderizing.
  - `2` or `Neutral` - **Default**. Neutral name genderizing.
  - `3` or `Conservative` - Conservative name genderizing.
- `GenderPopulation:< Code or Name >` - Set the gender balance of the source data, predominantly male, predominantly female, or neutral. If you know that the majority of inputted names will be predominantly one gender, meaning that gender-neutral names will likely be of a particular gender, use this property to set the gender bias while genderizing names.

  Either the `Code` or `Name` listed below can be used to set the action. For example, `GENDERPOPULATION:3` and `GENDERPOPULATION:Female` are equivalent settings.
  - `1` or `Male` - Bias towards Male.
  - `2` or `Mixed` - **Default**. No bias towards either gender.
  - `3` or `Female` - Bias towards Female.

- `LegacySalutation:< ON | OFF >` - **US/CAN only**. This option will create a formal (Mr/Mrs) salutation from an assigned FirstName gender for US/CAN. Default is `OFF`.
- `MiddleNameLogic:< Code or Name >` - **Middle name logic will be determined by the supplied Country, enabling simultaneous processing of records from different countries**. This option controls how middle names are handled. Some names can be ambiguous with regards to the middle word of a full name. It may be a middle name or it may be the first part of a hyphenated last name, but the hyphen has been omitted for some reason
  - `1` or `ParseLogic` - **Default**. The service behaves as described above.
  - `2` or `HyphenatedLast` - The middle word is assumed to be part of the last name. “Matthew Edward Jones” is treated as “Matthew Edward-Jones.”
  - `3` or `MiddleName` - The middle word is assumed to be a middle name. for the name “Mary O’Malley Kelly,” O’Malley is assumed to be the middle name.
  
  When a hyphen is present, the hyphenated word is always treated as the last name, regardless of content.
- `NameHint:< Code or Name >` - This option sets the most likely format of the FullName input string. This helps the service in cases where the order and formatting of the FullName input string are unclear.

  - Full or normal name order is: \<Prefix\> \<First\> \<Middle\> \<Last\> \<Suffix\>.
  - Inverse name order is: \<Last\> \<Suffix\>, \<Prefix\> \<First\> \<Middle\>.

  Either the `Code` or `Name` listed below can be used to set the action. For example, `NAMEHINT:4` and `NAMEHINT:Varying` are equivalent settings.
  - `1` or `DefinitelyFull` - Name will always be treated as normal name order regardless of formatting or punctuation.
  - `4` or `Varying` - **Default**. If necessary, statistical logic will be employed to determine name order, with no bias toward either name order.
  - `7` or `DefinitelyInverse` - Name will always be treated as inverse name order, regardless of formatting or punctuation.
- `OverrideExistingPrefix:< false | true >` - **US/CAN only**. This option enables overwriting existing prefixes if an identified suffix has an associated prefix. Default is `false`.
- `RemoveTransformedSuffix:< false | true >` - **US/CAN only**. This option enables or disables the removal of `TransformSuffix` if it exists. Default is `false`.
- `Salutation:< Formal | Informal | FirstLast | Slug | Blank >` - This option creates a pipe delimited list of preferred salutation formats and precedence to use when generating salutations. There are five possible formats to use for creating salutations. The options in default order are:
  1. `Formal` - (e.g., "Mr. Smith MD")
  2. `Informal` - (e.g., "John")
  3. `FirstLast` - (e.g., "John Smith")
  4. `Slug` - (e.g., "Valued Customer")
  5. `Blank` - (e.g., "")

  example: `opt=Salutation:Formal|FirstLast|Blank|Informal` - This requests a formal salutation to be built where possible but would rather have a blank salutation than an informal salutation (this could replace a blank with a proprietary slug like ‘Valued Customer:’).
- `SalutationPrefix:<your-custom-prefix>` - **US/CAN only**. Sets the prefix for the salutation name. Default value is `Dear`.
- `SalutationSlug:<your-custom-slug>` - **US/CAN only**. Sets the text for substituting a name in salutations. Default value is `Valued Customer`.
- `SalutationSuffix:<your-custom-suffix>` - **US/CAN only**. Sets the suffix for the salutation name. Default value is `:`.
- `StandardizeName:< ON | OFF >` - This option enables or disables standardization of First, Middle and Last names allowing the user to retain original casing or prevent complex last name prefix modifications (such as `St.` or `O'` name overrides.) Default is `ON`.
- `StripPunctuation:< false | true >` - This option enables or disables the removal of periods (`.`) from the name. Default is `false`.
- `TransformSuffix:< false | true >` - **US/CAN only**. This option enables the creation of a limited number of associated prefixes like `Dr.` when the name contains an identified suffix such as `MD` or `PhD`. Default is `false`.

  - `format` (string)
    Specify the desired format of the response (XML or JSON). Defaults to XML.

  - `comp` (string)
    The company name to be standardized.

  - `full` (string, required)
    Required. The full name to be genderized, standardized, and parsed.

  - `ctry` (string)
    The country name or abbreviation of the input name.

## Header parameters:

  - `Accept` (string, required)
    Format of the response.

  - `Content-Type` (string, required)
    Format of the request.

## Response 200:

  - `200` (unknown)
    Global Name Response.

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    A unique identifier for this set of records. Returned as sent.

  - `TransmissionResults` (string)
    Returns result codes for the request as a whole. For more information, see [Global Name Result Codes](https://docs.melissa.com/cloud-api/global-name/result-codes.html).

  - `TotalRecords` (string)
    Total number of records.

  - `Records` (array)
    Records array containing the results for each record processed.

  - `Records.RecordID` (string)
    A unique identifier for the current record if one was sent in the request. Use this element to match a request record and the corresponding response record.

  - `Records.Results` (string)
    Comma delimited status, error codes, and change codes for the record. For more information, see [Global Name Result Codes](https://docs.melissa.com/cloud-api/global-name/result-codes.html).

  - `Records.Company` (string)
    Standardized company name.

  - `Records.NamePrefix` (string)
    First prefix (such as "Mr." or "Dr.") from an inputted full name.

  - `Records.NameFirst` (string)
    First name from an inputted full name.

  - `Records.NameMiddle` (string)
    Middle name from an inputted full name.

  - `Records.NameLast` (string)
    Last name from an inputted full name.

  - `Records.NameSuffix` (string)
    First suffix (such as “Jr.” or “III”) from an inputted full name.

  - `Records.NameNickname` (string)
    Identified nickname from an inputted full name.

  - `Records.NameProfTitle` (string)
    Professional title from an inputted full name.

  - `Records.Gender` (string)
    One-character string value indicating the gender of the first name from the input.

  - `Records.NamePrefix2` (string)
    Second prefix (such as “Mr.” or “Dr.”) from an inputted full name.

  - `Records.NameFirst2` (string)
    Second first name from an inputted full name.

  - `Records.NameMiddle2` (string)
    Second middle name from an inputted full name.

  - `Records.NameLast2` (string)
    Second last name from an inputted full name.

  - `Records.NameSuffix2` (string)
    Second suffix (such as “Jr.” or “III”) from an inputted full name.

  - `Records.NameNickname2` (string)
    Second identified nickname from an inputted full name.

  - `Records.NameProfTitle2` (string)
    Second professional title from an inputted full name.

  - `Records.Gender2` (string)
    One-character string value indicating the gender of the second first name from the input.

  - `Records.Salutation` (string)
    The response’s name properties from the inputted full name which can be used to create the desired salutation format.

  - `Records.Extras` (string)
    This is a string value of the input words not associated with a parsed name part.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.

## Response 200 examples:

  - `Example Default Response` (unknown)

